# NSManagedObjectContext

    extension NSManagedObjectContext: FetchableSource, QueryableSource

### FetchableSource

- `fetchExisting(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchExisting<O>(_ object: O) -> O? where O : DynamicObject

- `fetchExisting(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchExisting<O>(_ objectID: NSManagedObjectID) -> O? where O : DynamicObject

- `fetchExisting(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchExisting<O, S>(_ objects: S) -> [O] where O : DynamicObject, O == S.Element, S : Sequence

- `fetchExisting(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchExisting<O, S>(_ objectIDs: S) -> [O] where O : DynamicObject, S : Sequence, S.Element == NSManagedObjectID

- `fetchOne(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchOne<O>(_ from: From<O>, _ fetchClauses: FetchClause...) throws -> O? where O : DynamicObject

- `fetchOne(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchOne<O>(_ from: From<O>, _ fetchClauses: [FetchClause]) throws -> O? where O : DynamicObject

- `fetchOne(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchOne<B>(_ clauseChain: B) throws -> B.ObjectType? where B : FetchChainableBuilderType

- `fetchAll(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchAll<O>(_ from: From<O>, _ fetchClauses: FetchClause...) throws -> [O] where O : DynamicObject

- `fetchAll(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchAll<O>(_ from: From<O>, _ fetchClauses: [FetchClause]) throws -> [O] where O : DynamicObject

- `fetchAll(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchAll<B>(_ clauseChain: B) throws -> [B.ObjectType] where B : FetchChainableBuilderType

- `fetchCount(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchCount<O>(_ from: From<O>, _ fetchClauses: FetchClause...) throws -> Int where O : DynamicObject

- `fetchCount(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchCount<O>(_ from: From<O>, _ fetchClauses: [FetchClause]) throws -> Int where O : DynamicObject

- `fetchCount(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchCount<B>(_ clauseChain: B) throws -> Int where B : FetchChainableBuilderType

- `fetchObjectID(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectID<O>(_ from: From<O>, _ fetchClauses: FetchClause...) throws -> NSManagedObjectID? where O : DynamicObject

- `fetchObjectID(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectID<O>(_ from: From<O>, _ fetchClauses: [FetchClause]) throws -> NSManagedObjectID? where O : DynamicObject

- `fetchObjectID(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectID<B>(_ clauseChain: B) throws -> NSManagedObjectID? where B : FetchChainableBuilderType

- `fetchObjectIDs(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectIDs<O>(_ from: From<O>, _ fetchClauses: FetchClause...) throws -> [NSManagedObjectID] where O : DynamicObject

- `fetchObjectIDs(_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectIDs<O>(_ from: From<O>, _ fetchClauses: [FetchClause]) throws -> [NSManagedObjectID] where O : DynamicObject

- `fetchObjectIDs(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func fetchObjectIDs<B>(_ clauseChain: B) throws -> [NSManagedObjectID] where B : FetchChainableBuilderType

### QueryableSource

- `queryValue(_:_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func queryValue<O, U>(_ from: From<O>, _ selectClause: Select<O, U>, _ queryClauses: QueryClause...) throws -> U? where O : DynamicObject, U : QueryableAttributeType

- `queryValue(_:_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func queryValue<O, U>(_ from: From<O>, _ selectClause: Select<O, U>, _ queryClauses: [QueryClause]) throws -> U? where O : DynamicObject, U : QueryableAttributeType

- `queryValue(_:)`

  #### Declaration

  Swift

      @nonobjc
      public func queryValue<B>(_ clauseChain: B) throws -> B.ResultType? where B : QueryChainableBuilderType, B.ResultType : QueryableAttributeType

- `queryAttributes(_:_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func queryAttributes<O>(_ from: From<O>, _ selectClause: Select<O, NSDictionary>, _ queryClauses: QueryClause...) throws -> [[String : Any]] where O : DynamicObject

- `queryAttributes(_:_:_:)`

  #### Declaration

  Swift

      @nonobjc
      public func queryAttributes<O>(_ from: From<O>, _ selectClause: Select<O, NSDictionary>, _ queryClauses: [QueryClause]) throws -> [[String : Any]] where O : DynamicObject

- `queryAttributes(_:)`

  #### Declaration

  Swift

      public func queryAttributes<B>(_ clauseChain: B) throws -> [[String : Any]] where B : QueryChainableBuilderType, B.ResultType == NSDictionary

### FetchableSource, QueryableSource

- `unsafeContext()`

  #### Declaration

  Swift

      @nonobjc
      public func unsafeContext() -> NSManagedObjectContext